import { UtforandeVerksamhetResponse } from './api/utforande-verksamhet.response.model';
import { mapResponseToUtforandeAdress, UtforandeAdress } from './utforande-adress.model';

export interface UtforandeVerksamhet {
  id: number;
  name: string;
  adresser: UtforandeAdress[];
}

export function mapResponseToUtforandeVerksamhet(data: UtforandeVerksamhetResponse): UtforandeVerksamhet {
  const { id, name, adresser } = data;

  return {
    id,
    name,
    adresser: adresser.map(adress => mapResponseToUtforandeAdress(adress)),
  };
}
